### Hierarchy

- Module

## Index

### Constructors

- constructor

### Properties

- children
- exports
- filename
- id
- loaded
- parent
- paths
- require
- Module
- builtinModules

### Methods

- createRequireFromPath
- runMain
- wrap

## Constructors

### constructor

- new Module(id: string, parent?: Module): Module

- - Defined in node_modules/@types/node/globals.d.ts:1047

  #### Parameters

  - ##### id: string

  - ##### Optional parent: Module

  #### Returns Module

## Properties

### children

children: Module[]

- Defined in node_modules/@types/node/globals.d.ts:1046

### exports

exports: any

- Defined in node_modules/@types/node/globals.d.ts:1040

### filename

filename: string

- Defined in node_modules/@types/node/globals.d.ts:1043

### id

id: string

- Defined in node_modules/@types/node/globals.d.ts:1042

### loaded

loaded: boolean

- Defined in node_modules/@types/node/globals.d.ts:1044

### parent

parent: Module | null

- Defined in node_modules/@types/node/globals.d.ts:1045

### paths

paths: string[]

- Defined in node_modules/@types/node/globals.d.ts:1047

### require

require: NodeRequireFunction

- Defined in node_modules/@types/node/globals.d.ts:1041

### Static Module

Module: Module

- Defined in node_modules/@types/node/globals.d.ts:1038

### Static builtinModules

builtinModules: string[]

- Defined in node_modules/@types/node/globals.d.ts:1036

## Methods

### Static createRequireFromPath

- createRequireFromPath(path: string): function

- - Defined in node_modules/@types/node/globals.d.ts:1035

  #### Parameters

  - ##### path: string

  #### Returns function

  - - (path: string): any

    - #### Parameters

      - ##### path: string

      #### Returns any

### Static runMain

- runMain(): void

- - Defined in node_modules/@types/node/globals.d.ts:1033

  #### Returns void

### Static wrap

- wrap(code: string): string

- - Defined in node_modules/@types/node/globals.d.ts:1034

  #### Parameters

  - ##### code: string

  #### Returns string

Generated using TypeDoc